Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: PythonMagick
Source: http://www.imagemagick.org/download/python/

Files: *
Copyright: © 1999-2016 ImageMagick Studio LLC
License: Imagemagick

Files: config/compile
Copyright: 1999-2014 Free Software Foundation, Inc.
License: GPL-2+ with autoconf exception

Files: config/config.guess
Copyright: 1992-2015 Free Software Foundation, Inc.
License: GPL-3+ with autoconf exception

Files: config/config.sub
Copyright: 1992-2015 Free Software Foundation, Inc.
License: GPL-3+ with autoconf exception

Files: config/depcomp
Copyright: 1999-2014 Free Software Foundation, Inc.
License: GPL-2+ with autoconf exception

Files: config/missing
Copyright: 1999-2014 Free Software Foundation, Inc.
License: GPL-2+ with autoconf exception

Files: config/py-compile
Copyright: 2000-2014 Free Software Foundation, Inc.
License: GPL-2+ with autoconf exception

Files: debian/*
Copyright: © 2007-2009 Carl Fürstenberg
           2011-2014 Sebastian Ramacher <sramacher@debian.org>
           2016 Bastien Roucariès
License: all-permissive

Files: m4/ax_boost_base.m4
Copyright: 2008 Thomas Porschberg <thomas@randspringer.de>
           2009 Peter Adolphs
License: all-permissive

Files: m4/ax_boost_python.m4
Copyright: 2008 Michael Tindal
           2013 Daniel Mullner <muellner@math.stanford.edu>
License: GPL-2+ with autoconfmacro exception

Files: m4/ax_python_devel.m4
Copyright: 2009 Sebastian Huber <sebastian-huber@web.de>
           2009 Alan W. Irwin
           2009 Rafael Laboissiere <rafael@laboissiere.net>
           2009 Andrew Collier
           2009 Matteo Settenvini <matteo@member.fsf.org>
           2009 Horst Knorr <hk_classes@knoda.org>
           2013 Daniel Mullner <muellner@math.stanford.edu>
License: GPL-3+

Files: m4/lt*
Copyright:  2004-2015 Free Software Foundation, Inc.
License: all-permissive

Files: INSTALL
Copyright: 1994-2007 Free Software Foundation, Inc.
License: install
 This file is free documentation; the Free Software Foundation gives
 unlimited permission to copy, distribute and modify it.

Files: autogen.pl
Copyright: 2005-2007 Carl Fürstenberg
License: GPL-2+

Files: py-compile
Copyright: 2000-2005 Free Software Foundation, Inc.
License: GPL-2+ with autoconf exception

License: all-permissive
 Copying and distribution of this package, with or without
 modification, are permitted in any medium without royalty
 provided the copyright notice and this notice are
 preserved.

License: GPL-2+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 On Debian GNU/Linux systems, the complete text of the GNU General Public
 License can be found in /usr/share/common-licenses/GPL-2.

License: GPL-2+ with autoconf exception
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 As a special exception to the GNU General Public License, if you
 distribute this file as part of a program that contains a
 configuration script generated by Autoconf, you may include it under
 the same distribution terms that you use for the rest of that program.
 .
 On Debian GNU/Linux systems, the complete text of the GNU General Public
 License can be found in /usr/share/common-licenses/GPL-2.

License: GPL-2+ with autoconfmacro exception
 This program is free software; you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the
 Free Software Foundation; either version 2 of the License, or (at your
 option) any later version.
 .
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 Public License for more details.
 .
 You should have received a copy of the GNU General Public License along
 with this program. If not, see <http://www.gnu.org/licenses/>.
 .
 As a special exception, the respective Autoconf Macro's copyright owner
 gives unlimited permission to copy, distribute and modify the configure
 scripts that are the output of Autoconf when processing the Macro. You
 need not follow the terms of the GNU General Public License when using
 or distributing such scripts, even though portions of the text of the
 Macro appear in them. The GNU General Public License (GPL) does govern
 all other use of the material that constitutes the Autoconf Macro.
 .
 On Debian GNU/Linux systems, the complete text of the GNU General Public
 License can be found in /usr/share/common-licenses/GPL-2.

License: GPL-3+
 This file is free software; you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 3 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program; if not, see <http://www.gnu.org/licenses/>.
 .
 On Debian GNU/Linux systems, the complete text of the GNU General Public
 License can be found in /usr/share/common-licenses/GPL-3.

License: GPL-3+ with autoconf exception
 This file is free software; you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 3 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program; if not, see <http://www.gnu.org/licenses/>.
 .
 As a special exception to the GNU General Public License, if you
 distribute this file as part of a program that contains a
 configuration script generated by Autoconf, you may include it under
 the same distribution terms that you use for the rest of that
 program.  This Exception is an additional permission under section 7
 of the GNU General Public License, version 3 ("GPLv3").
 .
 On Debian GNU/Linux systems, the complete text of the GNU General Public
 License can be found in /usr/share/common-licenses/GPL-3.

License: ImageMagick
 Before we get to the text of the license lets just review what the license says
 in simple terms:
 .
 It allows you to:
  * freely download and use ImageMagick software, in whole or in part, for
    personal, company internal, or commercial purposes;
  * use ImageMagick software in packages or distributions that you create;
  * link against a library under a different license;
  * link code under a different license against a library under this license;
  * merge code into a work under a different license;
  * extend patent grants to any code using code under this license;
  * and extend patent protection.
 .
 It forbids you to:
 .
  * redistribute any piece of ImageMagick-originated software without proper
    attribution;
  * use any marks owned by ImageMagick Studio LLC in any way that might state or
    imply that ImageMagick Studio LLC endorses your distribution;
  * use any marks owned by ImageMagick Studio LLC in any way that might state or
    imply that you created the ImageMagick software in question.
 .
 It requires you to:
 .
  * include a copy of the license in any redistribution you may make that
    includes ImageMagick software;
  * provide clear attribution to ImageMagick Studio LLC for any distributions
    that include ImageMagick software.
 .
 It does not require you to:
 .
  * include the source of the ImageMagick software itself, or of any
    modifications you may have made to it, in any redistribution you may
    assemble that includes it;
  * submit changes that you make to the software back to the ImageMagick Studio
    LLC (though such feedback is encouraged).
 .
 A few other clarifications include:
 .
  * ImageMagick is freely available without charge;
  * you may include ImageMagick on a DVD as long as you comply with the terms
    of the license;
  * you can give modified code away for free or sell it under the terms of the
    ImageMagick license or distribute the result under a different license,
    but you need to acknowledge the use of the ImageMagick software;
  * the license is compatible with the GPL V3.
  * when exporting the ImageMagick software, review its export classification.
 .
 The legally binding and authoritative terms and conditions for use,
 reproduction, and distribution of ImageMagick follow:
 .
 Copyright 1999-2011 ImageMagick Studio LLC, a non-profit organization dedicated
 to making software imaging solutions freely available.
 .
 1. Definitions.
 .
 License shall mean the terms and conditions for use, reproduction, and
 distribution as defined by Sections 1 through 9 of this document.
 .
 Licensor shall mean the copyright owner or entity authorized by the copyright
 owner that is granting the License.
 .
 Legal Entity shall mean the union of the acting entity and all other entities
 that control, are controlled by, or are under common control with that entity.
 For the purposes of this definition, control means (i) the power, direct or
 indirect, to cause the direction or management of such entity, whether by
 contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the
 outstanding shares, or (iii) beneficial ownership of such entity.
 .
 You (or Your) shall mean an individual or Legal Entity exercising permissions
 granted by this License.
 .
 Source form shall mean the preferred form for making modifications, including
 but not limited to software source code, documentation source, and
 configuration files.
 .
 Object form shall mean any form resulting from mechanical transformation or
 translation of a Source form, including but not limited to compiled object
 code, generated documentation, and conversions to other media types.
 .
 Work shall mean the work of authorship, whether in Source or Object form, made
 available under the License, as indicated by a copyright notice that is
 included in or attached to the work (an example is provided in the Appendix
 below).
 .
 Derivative Works shall mean any work, whether in Source or Object form, that is
 based on (or derived from) the Work and for which the editorial revisions,
 annotations, elaborations, or other modifications represent, as a whole, an
 original work of authorship. For the purposes of this License, Derivative Works
 shall not include works that remain separable from, or merely link (or bind by
 name) to the interfaces of, the Work and Derivative Works thereof.
 .
 Contribution shall mean any work of authorship, including the original version
 of the Work and any modifications or additions to that Work or Derivative Works
 thereof, that is intentionally submitted to Licensor for inclusion in the Work
 by the copyright owner or by an individual or Legal Entity authorized to submit
 on behalf of the copyright owner. For the purposes of this definition,
 "submitted" means any form of electronic, verbal, or written communication sent
 to the Licensor or its representatives, including but not limited to
 communication on electronic mailing lists, source code control systems, and
 issue tracking systems that are managed by, or on behalf of, the Licensor for
 the purpose of discussing and improving the Work, but excluding communication
 that is conspicuously marked or otherwise designated in writing by the
 copyright owner as Not a Contribution.
 .
 Contributor shall mean Licensor and any individual or Legal Entity on behalf of
 whom a Contribution has been received by Licensor and subsequently incorporated
 within the Work.
 .
 2. Grant of Copyright License. Subject to the terms and conditions of this
 License, each Contributor hereby grants to You a perpetual, worldwide,
 non-exclusive, no-charge, royalty-free, irrevocable copyright license to
 reproduce, prepare Derivative Works of, publicly display, publicly perform,
 sublicense, and distribute the Work and such Derivative Works in Source or
 Object form.
 .
 3. Grant of Patent License. Subject to the terms and conditions of this
 License, each Contributor hereby grants to You a perpetual, worldwide,
 non-exclusive, no-charge, royalty-free, irrevocable patent license to make,
 have made, use, offer to sell, sell, import, and otherwise transfer the Work,
 where such license applies only to those patent claims licensable by such
 Contributor that are necessarily infringed by their Contribution(s) alone or by
 combination of their Contribution(s) with the Work to which such
 Contribution(s) was submitted. If You institute patent litigation against any
 entity (including a cross-claim or counterclaim in a lawsuit) alleging that the
 Work or a Contribution incorporated within the Work constitutes direct or
 contributory patent infringement, then any patent licenses granted to You under
 this License for that Work shall terminate as of the date such litigation is
 filed.
 .
 4. Redistribution. You may reproduce and distribute copies of the Work or
 Derivative Works thereof in any medium, with or without modifications, and in
 Source or Object form, provided that You meet the following conditions:
 .
  1. You must give any other recipients of the Work or Derivative Works a copy
     of this License; and
  2. You must cause any modified files to carry prominent notices stating that
     You changed the files; and
  3. You must retain, in the Source form of any Derivative Works that You
     distribute, all copyright, patent, trademark, and attribution notices from
     the Source form of the Work, excluding those notices that do not pertain to
     any part of the Derivative Works; and
  4. If the Work includes a "NOTICE" text file as part of its distribution, then
     any Derivative Works that You distribute must include a readable copy of
     the attribution notices contained within such NOTICE file, excluding those 
     notices that do not pertain to any part of the Derivative Works, in at
     least one of the following places: within a NOTICE text file distributed as
     part of the Derivative Works; within the Source form or documentation, if
     provided along with the Derivative Works; or, within a display generated by
     the Derivative Works, if and wherever such third-party notices normally
     appear. The contents of the NOTICE file are for informational purposes only
     and do not modify the License. You may add Your own attribution notices
     within Derivative Works that You distribute, alongside or as an addendum to
     the NOTICE text from the Work, provided that such additional attribution
     notices cannot be construed as modifying the License.
 .
 You may add Your own copyright statement to Your modifications and may provide
 additional or different license terms and conditions for use, reproduction, or
 distribution of Your modifications, or for any such Derivative Works as a
 whole, provided Your use, reproduction, and distribution of the Work otherwise
 complies with the conditions stated in this License.
 .
 5. Submission of Contributions. Unless You explicitly state otherwise, any
 Contribution intentionally submitted for inclusion in the Work by You to the
 Licensor shall be under the terms and conditions of this License, without any
 additional terms or conditions. Notwithstanding the above, nothing herein shall
 supersede or modify the terms of any separate license agreement you may have
 executed with Licensor regarding such Contributions.
 .
 6. Trademarks. This License does not grant permission to use the trade names,
 trademarks, service marks, or product names of the Licensor, except as required
 for reasonable and customary use in describing the origin of the Work and
 reproducing the content of the NOTICE file.
 .
 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in
 writing, Licensor provides the Work (and each Contributor provides its
 Contributions) on an AS IS BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 either express or implied, including, without limitation, any warranties or
 conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
 PARTICULAR PURPOSE. You are solely responsible for determining the
 appropriateness of using or redistributing the Work and assume any risks
 associated with Your exercise of permissions under this License.
 .
 8. Limitation of Liability. In no event and under no legal theory, whether in
 tort (including negligence), contract, or otherwise, unless required by
 applicable law (such as deliberate and grossly negligent acts) or agreed to in
 writing, shall any Contributor be liable to You for damages, including any
 direct, indirect, special, incidental, or consequential damages of any
 character arising as a result of this License or out of the use or inability to
 use the Work (including but not limited to damages for loss of goodwill, work
 stoppage, computer failure or malfunction, or any and all other commercial
 damages or losses), even if such Contributor has been advised of the
 possibility of such damages.
 .
 9. Accepting Warranty or Additional Liability. While redistributing the Work or
 Derivative Works thereof, You may choose to offer, and charge a fee for,
 acceptance of support, warranty, indemnity, or other liability obligations
 and/or rights consistent with this License. However, in accepting such
 obligations, You may act only on Your own behalf and on Your sole
 responsibility, not on behalf of any other Contributor, and only if You agree
 to indemnify, defend, and hold each Contributor harmless for any liability
 incurred by, or claims asserted against, such Contributor by reason of your
 accepting any such warranty or additional liability.
 .
 APPENDIX: How to apply the ImageMagick License to your work
 .
 To apply the ImageMagick License to your work, attach the following boilerplate
 notice, with the fields enclosed by brackets "[]" replaced with your own
 identifying information. (Don't include the brackets!) The text should be
 enclosed in the appropriate comment syntax for the file format. We also
 recommend that a file or class name and description of purpose be included on
 the same "printed page" as the copyright notice for easier identification
 within third-party archives.
 .
   Copyright [yyyy] [name of copyright owner]
 .
   Licensed under the ImageMagick License (the "License"); you may not use
   this file except in compliance with the License.  You may obtain a copy
   of the License at
 .
     http://www.imagemagick.org/script/license.php
 .
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
   WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
   License for the specific language governing permissions and limitations
   under the License.
